using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SC.PR
{
    [Description("生产运行记录附件")]
    public class T_PR_PRODUCTION_OPERATION_RECORD_FILE : MesEntityBase
    {
        [Description("生产运行记录表")]
        [DataFieldForeignKey("Nav_Record", "Nav_Files")]
        public Guid PRODUCTION_OPERATION_RECORD_ID { get; set; }

        [Description("生产运行记录表")]
        public virtual T_PR_PRODUCTION_OPERATION_RECORD Nav_Record { get; set; }

        [Description("文件ID")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid? IMG_FILE_ID { get; set; }

        [Description("导航属性：文件")]
        public virtual T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
